// multi_test.c
// 2015/07/24 : by marsee
// multi_in0 ̓͂̎999͂ƏI
//

#include <stdio.h>
#include "xmulti_apuint.h"
#include "xparameters.h"

int main(){
    XMulti_apuint XMluti_ap;
    XMulti_apuint_Config *XMulti_apPtr;
	int val;

    // Look Up the device configuration
	XMulti_apPtr = XMulti_apuint_LookupConfig(0);
    if (!XMulti_apPtr){
        fprintf(stderr, "XMulti_apuint configuration failed.\n");
        return(-1);
    }

    // Initialize the Device
    int Xlap_status = XMulti_apuint_CfgInitialize(&XMluti_ap, XMulti_apPtr);
    if (Xlap_status != XST_SUCCESS){
        fprintf(stderr, "Could not Initialize XMulti_apuint\n");
        return(-1);
    }

   while(1){
	   printf("\n\rmulti_in0 = ");
	   scanf("%d", &val);
	   if(val == 999)
		   break;
	   XMulti_apuint_Set_multi_in0_V(&XMluti_ap, val);

	   printf("\n\rmulti_in1 = ");
	   scanf("%d", &val);
	   XMulti_apuint_Set_multi_in1_V(&XMluti_ap, val);

	   while(!XMulti_apuint_IsIdle(&XMluti_ap)) ;

	   XMulti_apuint_Start(&XMluti_ap);

	   while(!XMulti_apuint_IsDone(&XMluti_ap)) ;

	   printf("\n\rmulti_out = %d\n\r", (int)XMulti_apuint_Get_multi_out_V(&XMluti_ap));
   }

   return(0);
}
